/************************************************************************************
The code is designed and produced by MDY Science and Education Co., Ltd, which has the entire ownership. It is only for personal learning, which cannot be used for commercial or profit-making purposes without permission.

    MDY's Mission: Develop Chip Talents and Realize National Chip Dream.

    We sincerely hope that our students can learn the real IC / FPGA code through our standard and rigorous code.

    For more FPGA learning materials, please visit the Forum: http://fpgabbs.com/ and official website: http://www.mdy-edu.com/index.html 

    *************************************************************************************/

module top_KeyScanCheck(
    clk         ,
    rst_n       ,
    key_col     ,

    key_row     ,
    segment     ,
    seg_sel     
    );

    parameter      DATA_W =        4;

    input               clk    ;
    input               rst_n  ;
    input   [3:0]       key_col;
    
    output  [3:0]       key_row;
    output  [7:0]       segment;
    output  [1:0]       seg_sel;

    wire     [3:0]       key_row;
    wire     [7:0]       segment;
    wire     [1:0]       seg_sel;

    wire    [DATA_W-1:0]  key_out;
    wire                  key_vld;
    wire    [DATA_W-1:0]  segment_data;

key_scan    u1(
   .clk        (   clk                 ),
   .rst_n      (   rst_n               ),
   .key_col    (   key_col             ),
   .key_row    (   key_row             ),
   .key_out    (   key_out             ),
   .key_vld    (   key_vld             )
    );


seg_disp    u2(
   .clk               (  clk             ),
   .rst_n             (  rst_n           ),
   .data_in           (  key_out           ),
   .key_en            (  key_vld           ),
   .segment           (  segment           ),
   .seg_sel           (  seg_sel           )
);

    endmodule

